Rapid7 Vulnerability & Exploit Database

Oracle Solaris 11: CVE-2014-9157: Vulnerability in Graphviz

Back to Search

Oracle Solaris 11: CVE-2014-9157: Vulnerability in Graphviz

Severity
8
CVSS
(AV:N/AC:L/Au:N/C:P/I:P/A:P)
Published
12/03/2014
Created
07/25/2018
Added
07/19/2017
Modified
02/01/2022

Description

Format string vulnerability in the yyerror function in lib/cgraph/scan.l in Graphviz allows remote attackers to have unspecified impact via format string specifiers in unknown vectors, which are not properly handled in an error string.

Solution(s)

  • oracle-solaris-11-3-upgrade-image-graphviz-2-28-0-0-175-3-22-0-2-0
  • oracle-solaris-11-3-upgrade-image-graphviz-graphviz-java-2-28-0-0-175-3-22-0-2-0
  • oracle-solaris-11-3-upgrade-image-graphviz-graphviz-lua-2-28-0-0-175-3-22-0-2-0
  • oracle-solaris-11-3-upgrade-image-graphviz-graphviz-ocaml-2-28-0-0-175-3-22-0-2-0
  • oracle-solaris-11-3-upgrade-image-graphviz-graphviz-perl-512-2-28-0-0-175-3-22-0-2-0
  • oracle-solaris-11-3-upgrade-image-graphviz-graphviz-php-2-28-0-0-175-3-22-0-2-0
  • oracle-solaris-11-3-upgrade-image-graphviz-graphviz-python-27-2-28-0-0-175-3-22-0-2-0
  • oracle-solaris-11-3-upgrade-image-graphviz-graphviz-ruby-2-28-0-0-175-3-22-0-2-0
  • oracle-solaris-11-3-upgrade-image-graphviz-graphviz-sharp-2-28-0-0-175-3-22-0-2-0
  • oracle-solaris-11-3-upgrade-image-graphviz-graphviz-tcl-2-28-0-0-175-3-22-0-2-0

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;